Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.net
Class JIoEndpoint.Acceptor

    java.lang.Object
      org.apache.tomcat.util.net.JIoEndpoint.Acceptor

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  JIoEndpoint

    protected class JIoEndpoint.Acceptor

extends java.lang.Object
implements java.lang.Runnable

Server socket acceptor thread.

Constructor Summary
`protected` | `JIoEndpoint.Acceptor()`

Method Summary
`void` | `run()` The background thread that listens for incoming TCP/IP connections and hands them off to an appropriate processor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JIoEndpoint.Acceptor

    protected JIoEndpoint.Acceptor()

Method Detail

### run

    public void run()

  The background thread that listens for incoming TCP/IP connections and hands them off to an appropriate processor.

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.